Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Aug 2022 21:01:32 +0300

> Date: Sun, 14 Aug 2022 20:51:14 +0300
> Cc: [email-masked], Eli Zaretskii <[email-masked]>,
>  [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> > If the conclusion is, after some reasonable effort, that there is no way 
> > to make syntax-ppss significantly faster in one way or another in such 
> > cases, and that there is no way to make font locking reasonably accurate 
> > even when it doesn't have access to the whole buffer, it might make 
> > sense to provide user options to fine-tune the behavior.  But we are not 
> > there yet.
> 
> Both conclusions lead to removing the applications of narrowing from 
> handle_fontified_prop.

We will not remove that, no.

> So how about we either do that (defaulting to accurate font-lock),
> or merge the branch I proposed, and then continue on to the more
> complex developments?

Please wait with requests to merge until I had time to review the
branch.

> Implementing the "font locking reasonably accurate even when it doesn't 
> have access to the whole buffer" would also have to be implemented in 
> Lisp, so narrowing outside of font-lock doesn't make sense.

Cannot parse this, sorry.  I guess some typo?